Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryparser.xml.builders
Class TermsQueryBuilder

    java.lang.Object
      org.apache.lucene.queryparser.xml.builders.TermsQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class TermsQueryBuilder

extends Object
implements QueryBuilder

Builds a BooleanQuery from all of the terms found in the XML element using the choice of analyzer

Constructor Summary
`TermsQueryBuilder(Analyzer analyzer)`

Method Summary
`Query` | `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermsQueryBuilder

    public TermsQueryBuilder(Analyzer analyzer)

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.